Index: XIOS/dev/branch_openmp/src/interface/c_attr/icscalar_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/icscalar_attr.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/icscalar_attr.cpp	(revision 1545)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
@@ -18,4 +18,133 @@
   typedef xios::CScalar* scalar_Ptr;
 
+  void cxios_set_scalar_axis_type(scalar_Ptr scalar_hdl, const char * axis_type, int axis_type_size)
+  {
+    std::string axis_type_str;
+    if (!cstr2string(axis_type, axis_type_size, axis_type_str)) return;
+    CTimer::get("XIOS").resume();
+    scalar_hdl->axis_type.fromString(axis_type_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_axis_type(scalar_Ptr scalar_hdl, char * axis_type, int axis_type_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalar_hdl->axis_type.getInheritedStringValue(), axis_type, axis_type_size))
+      ERROR("void cxios_get_scalar_axis_type(scalar_Ptr scalar_hdl, char * axis_type, int axis_type_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_axis_type(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->axis_type.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalar_bounds(scalar_Ptr scalar_hdl, double* bounds, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<double,1> tmp(bounds, shape(extent[0]), neverDeleteData);
+    scalar_hdl->bounds.reference(tmp.copy());
+     CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_bounds(scalar_Ptr scalar_hdl, double* bounds, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<double,1> tmp(bounds, shape(extent[0]), neverDeleteData);
+    tmp=scalar_hdl->bounds.getInheritedValue();
+     CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_bounds(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->bounds.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalar_bounds_name(scalar_Ptr scalar_hdl, const char * bounds_name, int bounds_name_size)
+  {
+    std::string bounds_name_str;
+    if (!cstr2string(bounds_name, bounds_name_size, bounds_name_str)) return;
+    CTimer::get("XIOS").resume();
+    scalar_hdl->bounds_name.setValue(bounds_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_bounds_name(scalar_Ptr scalar_hdl, char * bounds_name, int bounds_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalar_hdl->bounds_name.getInheritedValue(), bounds_name, bounds_name_size))
+      ERROR("void cxios_get_scalar_bounds_name(scalar_Ptr scalar_hdl, char * bounds_name, int bounds_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_bounds_name(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->bounds_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalar_comment(scalar_Ptr scalar_hdl, const char * comment, int comment_size)
+  {
+    std::string comment_str;
+    if (!cstr2string(comment, comment_size, comment_str)) return;
+    CTimer::get("XIOS").resume();
+    scalar_hdl->comment.setValue(comment_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_comment(scalar_Ptr scalar_hdl, char * comment, int comment_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalar_hdl->comment.getInheritedValue(), comment, comment_size))
+      ERROR("void cxios_get_scalar_comment(scalar_Ptr scalar_hdl, char * comment, int comment_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_comment(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->comment.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalar_label(scalar_Ptr scalar_hdl, const char * label, int label_size)
+  {
+    std::string label_str;
+    if (!cstr2string(label, label_size, label_str)) return;
+    CTimer::get("XIOS").resume();
+    scalar_hdl->label.setValue(label_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_label(scalar_Ptr scalar_hdl, char * label, int label_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalar_hdl->label.getInheritedValue(), label, label_size))
+      ERROR("void cxios_get_scalar_label(scalar_Ptr scalar_hdl, char * label, int label_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_label(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->label.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_scalar_long_name(scalar_Ptr scalar_hdl, const char * long_name, int long_name_size)
   {
@@ -70,4 +199,30 @@
 
 
+  void cxios_set_scalar_positive(scalar_Ptr scalar_hdl, const char * positive, int positive_size)
+  {
+    std::string positive_str;
+    if (!cstr2string(positive, positive_size, positive_str)) return;
+    CTimer::get("XIOS").resume();
+    scalar_hdl->positive.fromString(positive_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalar_positive(scalar_Ptr scalar_hdl, char * positive, int positive_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalar_hdl->positive.getInheritedStringValue(), positive, positive_size))
+      ERROR("void cxios_get_scalar_positive(scalar_Ptr scalar_hdl, char * positive, int positive_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalar_positive(scalar_Ptr scalar_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalar_hdl->positive.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_scalar_prec(scalar_Ptr scalar_hdl, int prec)
   {
Index: XIOS/dev/branch_openmp/src/interface/c_attr/icscalargroup_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/icscalargroup_attr.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/icscalargroup_attr.cpp	(revision 1545)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
@@ -18,4 +18,107 @@
   typedef xios::CScalarGroup* scalargroup_Ptr;
 
+  void cxios_set_scalargroup_axis_type(scalargroup_Ptr scalargroup_hdl, const char * axis_type, int axis_type_size)
+  {
+    std::string axis_type_str;
+    if (!cstr2string(axis_type, axis_type_size, axis_type_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->axis_type.fromString(axis_type_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_axis_type(scalargroup_Ptr scalargroup_hdl, char * axis_type, int axis_type_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->axis_type.getInheritedStringValue(), axis_type, axis_type_size))
+      ERROR("void cxios_get_scalargroup_axis_type(scalargroup_Ptr scalargroup_hdl, char * axis_type, int axis_type_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_axis_type(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->axis_type.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_bounds(scalargroup_Ptr scalargroup_hdl, double* bounds, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<double,1> tmp(bounds, shape(extent[0]), neverDeleteData);
+    scalargroup_hdl->bounds.reference(tmp.copy());
+     CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_bounds(scalargroup_Ptr scalargroup_hdl, double* bounds, int* extent)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<double,1> tmp(bounds, shape(extent[0]), neverDeleteData);
+    tmp=scalargroup_hdl->bounds.getInheritedValue();
+     CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_bounds(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->bounds.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_bounds_name(scalargroup_Ptr scalargroup_hdl, const char * bounds_name, int bounds_name_size)
+  {
+    std::string bounds_name_str;
+    if (!cstr2string(bounds_name, bounds_name_size, bounds_name_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->bounds_name.setValue(bounds_name_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_bounds_name(scalargroup_Ptr scalargroup_hdl, char * bounds_name, int bounds_name_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->bounds_name.getInheritedValue(), bounds_name, bounds_name_size))
+      ERROR("void cxios_get_scalargroup_bounds_name(scalargroup_Ptr scalargroup_hdl, char * bounds_name, int bounds_name_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_bounds_name(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->bounds_name.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_scalargroup_comment(scalargroup_Ptr scalargroup_hdl, const char * comment, int comment_size)
+  {
+    std::string comment_str;
+    if (!cstr2string(comment, comment_size, comment_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->comment.setValue(comment_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_comment(scalargroup_Ptr scalargroup_hdl, char * comment, int comment_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->comment.getInheritedValue(), comment, comment_size))
+      ERROR("void cxios_get_scalargroup_comment(scalargroup_Ptr scalargroup_hdl, char * comment, int comment_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_comment(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->comment.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_scalargroup_group_ref(scalargroup_Ptr scalargroup_hdl, const char * group_ref, int group_ref_size)
   {
@@ -44,4 +147,30 @@
 
 
+  void cxios_set_scalargroup_label(scalargroup_Ptr scalargroup_hdl, const char * label, int label_size)
+  {
+    std::string label_str;
+    if (!cstr2string(label, label_size, label_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->label.setValue(label_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_label(scalargroup_Ptr scalargroup_hdl, char * label, int label_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->label.getInheritedValue(), label, label_size))
+      ERROR("void cxios_get_scalargroup_label(scalargroup_Ptr scalargroup_hdl, char * label, int label_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_label(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->label.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_scalargroup_long_name(scalargroup_Ptr scalargroup_hdl, const char * long_name, int long_name_size)
   {
@@ -96,4 +225,30 @@
 
 
+  void cxios_set_scalargroup_positive(scalargroup_Ptr scalargroup_hdl, const char * positive, int positive_size)
+  {
+    std::string positive_str;
+    if (!cstr2string(positive, positive_size, positive_str)) return;
+    CTimer::get("XIOS").resume();
+    scalargroup_hdl->positive.fromString(positive_str);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_scalargroup_positive(scalargroup_Ptr scalargroup_hdl, char * positive, int positive_size)
+  {
+    CTimer::get("XIOS").resume();
+    if (!string_copy(scalargroup_hdl->positive.getInheritedStringValue(), positive, positive_size))
+      ERROR("void cxios_get_scalargroup_positive(scalargroup_Ptr scalargroup_hdl, char * positive, int positive_size)", << "Input string is too short");
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_scalargroup_positive(scalargroup_Ptr scalargroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = scalargroup_hdl->positive.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_scalargroup_prec(scalargroup_Ptr scalargroup_hdl, int prec)
   {
Index: XIOS/dev/branch_openmp/src/interface/c_attr/ictemporal_splitting_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/ictemporal_splitting_attr.cpp	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/ictemporal_splitting_attr.cpp	(revision 1545)
@@ -0,0 +1,18 @@
+/* ************************************************************************** *
+ *               Interface auto generated - do not modify                     *
+ * ************************************************************************** */
+
+#include <boost/multi_array.hpp>
+#include <memory>
+#include "xios.hpp"
+#include "attribute_template.hpp"
+#include "object_template.hpp"
+#include "group_template.hpp"
+#include "icutil.hpp"
+#include "icdate.hpp"
+#include "timer.hpp"
+#include "node_type.hpp"
+
+extern "C"
+{
+  typedef xios::CTemporalSplitting* temporal_splitting_Ptr;}
Index: XIOS/dev/branch_openmp/src/interface/c_attr/icvariable_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/icvariable_attr.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/icvariable_attr.cpp	(revision 1545)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/dev/branch_openmp/src/interface/c_attr/icvariablegroup_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 1545)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/dev/branch_openmp/src/interface/c_attr/iczoom_axis_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/iczoom_axis_attr.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/iczoom_axis_attr.cpp	(revision 1545)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/dev/branch_openmp/src/interface/c_attr/iczoom_domain_attr.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/interface/c_attr/iczoom_domain_attr.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/c_attr/iczoom_domain_attr.cpp	(revision 1545)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/dev/branch_openmp/src/interface/fortran/duplicate_scalar_to_axis_interface.f90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/duplicate_scalar_to_axis_interface.f90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/duplicate_scalar_to_axis_interface.f90	(revision 1545)
@@ -0,0 +1,22 @@
+MODULE DUPLICATE_SCALAR_TO_AXIS_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_duplicate_scalar_to_axis_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_duplicate_scalar_to_axis_handle_create
+
+      SUBROUTINE cxios_duplicate_scalar_to_axis_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_duplicate_scalar_to_axis_valid_id
+
+   END INTERFACE
+
+END MODULE DUPLICATE_SCALAR_TO_AXIS_INTERFACE
Index: XIOS/dev/branch_openmp/src/interface/fortran/iduplicate_scalar_to_axis_interface.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/iduplicate_scalar_to_axis_interface.F90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/iduplicate_scalar_to_axis_interface.F90	(revision 1545)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IDUPLICATE_SCALAR_TO_AXIS
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE DUPLICATE_SCALAR_TO_AXIS_INTERFACE
+
+   TYPE txios(duplicate_scalar_to_axis)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(duplicate_scalar_to_axis)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_duplicate_scalar_to_axis_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(duplicate_scalar_to_axis)) , INTENT(OUT):: ret
+      CALL cxios_duplicate_scalar_to_axis_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_duplicate_scalar_to_axis_handle)
+
+   LOGICAL FUNCTION xios(is_valid_duplicate_scalar_to_axis)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_duplicate_scalar_to_axis_valid_id(val, idt, len(idt))
+      xios(is_valid_duplicate_scalar_to_axis) = val
+
+   END FUNCTION  xios(is_valid_duplicate_scalar_to_axis)
+
+END MODULE IDUPLICATE_SCALAR_TO_AXIS
Index: XIOS/dev/branch_openmp/src/interface/fortran/ireduce_axis_to_axis.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/ireduce_axis_to_axis.F90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/ireduce_axis_to_axis.F90	(revision 1545)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IREDUCE_AXIS_TO_AXIS
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE REDUCE_AXIS_TO_AXIS_INTERFACE
+
+   TYPE txios(reduce_axis_to_axis)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(reduce_axis_to_axis)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_reduce_axis_to_axis_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(reduce_axis_to_axis)) , INTENT(OUT):: ret
+      CALL cxios_reduce_axis_to_axis_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_reduce_axis_to_axis_handle)
+
+   LOGICAL FUNCTION xios(is_valid_reduce_axis_to_axis)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_reduce_axis_to_axis_valid_id(val, idt, len(idt))
+      xios(is_valid_reduce_axis_to_axis) = val
+
+   END FUNCTION  xios(is_valid_reduce_axis_to_axis)
+
+END MODULE IREDUCE_AXIS_TO_AXIS
Index: XIOS/dev/branch_openmp/src/interface/fortran/ireduce_scalar_to_scalar.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/ireduce_scalar_to_scalar.F90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/ireduce_scalar_to_scalar.F90	(revision 1545)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IREDUCE_SCALAR_TO_SCALAR
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE REDUCE_SCALAR_TO_SCALAR_INTERFACE
+
+   TYPE txios(reduce_scalar_to_scalar)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(reduce_scalar_to_scalar)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_reduce_scalar_to_scalar_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(OUT):: ret
+      CALL cxios_reduce_scalar_to_scalar_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_reduce_scalar_to_scalar_handle)
+
+   LOGICAL FUNCTION xios(is_valid_reduce_scalar_to_scalar)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_reduce_scalar_to_scalar_valid_id(val, idt, len(idt))
+      xios(is_valid_reduce_scalar_to_scalar) = val
+
+   END FUNCTION  xios(is_valid_reduce_scalar_to_scalar)
+
+END MODULE IREDUCE_SCALAR_TO_SCALAR
Index: XIOS/dev/branch_openmp/src/interface/fortran/ireorder_domain.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/ireorder_domain.F90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/ireorder_domain.F90	(revision 1545)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE IREORDER_DOMAIN
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE REORDER_DOMAIN_INTERFACE
+
+   TYPE txios(reorder_domain)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(reorder_domain)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_reorder_domain_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(reorder_domain)) , INTENT(OUT):: ret
+      CALL cxios_reorder_domain_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_reorder_domain_handle)
+
+   LOGICAL FUNCTION xios(is_valid_reorder_domain)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_reorder_domain_valid_id(val, idt, len(idt))
+      xios(is_valid_reorder_domain) = val
+
+   END FUNCTION  xios(is_valid_reorder_domain)
+
+END MODULE IREORDER_DOMAIN
Index: XIOS/dev/branch_openmp/src/interface/fortran/itemporal_splitting.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/itemporal_splitting.F90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/itemporal_splitting.F90	(revision 1545)
@@ -0,0 +1,30 @@
+#include "xios_fortran_prefix.hpp"
+
+MODULE ITEMPORAL_SPLITTING
+   USE, INTRINSIC :: ISO_C_BINDING
+   USE TEMPORAL_SPLITTING_INTERFACE
+
+   TYPE txios(temporal_splitting)
+      INTEGER(kind = C_INTPTR_T) :: daddr
+   END TYPE txios(temporal_splitting)
+
+   CONTAINS ! Fonctions disponibles pour les utilisateurs.
+
+   SUBROUTINE xios(get_temporal_splitting_handle)(idt,ret)
+      IMPLICIT NONE
+      CHARACTER(len = *), INTENT(IN) :: idt
+      TYPE(txios(temporal_splitting)) , INTENT(OUT):: ret
+      CALL cxios_temporal_splitting_handle_create(ret%daddr, idt, len(idt))
+   END SUBROUTINE xios(get_temporal_splitting_handle)
+
+   LOGICAL FUNCTION xios(is_valid_temporal_splitting)(idt)
+      IMPLICIT NONE
+      CHARACTER(len  = *)    , INTENT(IN) :: idt
+      LOGICAL  (kind = 1)                 :: val
+
+      CALL cxios_temporal_splitting_valid_id(val, idt, len(idt))
+      xios(is_valid_temporal_splitting) = val
+
+   END FUNCTION  xios(is_valid_temporal_splitting)
+
+END MODULE ITEMPORAL_SPLITTING
Index: XIOS/dev/branch_openmp/src/interface/fortran/reduce_axis_to_axis_interface.f90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/reduce_axis_to_axis_interface.f90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/reduce_axis_to_axis_interface.f90	(revision 1545)
@@ -0,0 +1,22 @@
+MODULE REDUCE_AXIS_TO_AXIS_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_reduce_axis_to_axis_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_axis_to_axis_handle_create
+
+      SUBROUTINE cxios_reduce_axis_to_axis_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_axis_to_axis_valid_id
+
+   END INTERFACE
+
+END MODULE REDUCE_AXIS_TO_AXIS_INTERFACE
Index: XIOS/dev/branch_openmp/src/interface/fortran/reduce_scalar_to_scalar_interface.f90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/reduce_scalar_to_scalar_interface.f90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/reduce_scalar_to_scalar_interface.f90	(revision 1545)
@@ -0,0 +1,22 @@
+MODULE REDUCE_SCALAR_TO_SCALAR_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_reduce_scalar_to_scalar_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_scalar_to_scalar_handle_create
+
+      SUBROUTINE cxios_reduce_scalar_to_scalar_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reduce_scalar_to_scalar_valid_id
+
+   END INTERFACE
+
+END MODULE REDUCE_SCALAR_TO_SCALAR_INTERFACE
Index: XIOS/dev/branch_openmp/src/interface/fortran/reorder_domain_interface.f90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/reorder_domain_interface.f90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/reorder_domain_interface.f90	(revision 1545)
@@ -0,0 +1,22 @@
+MODULE REORDER_DOMAIN_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_reorder_domain_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reorder_domain_handle_create
+
+      SUBROUTINE cxios_reorder_domain_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_reorder_domain_valid_id
+
+   END INTERFACE
+
+END MODULE REORDER_DOMAIN_INTERFACE
Index: XIOS/dev/branch_openmp/src/interface/fortran/temporal_splitting_interface.f90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran/temporal_splitting_interface.f90	(revision 1545)
+++ XIOS/dev/branch_openmp/src/interface/fortran/temporal_splitting_interface.f90	(revision 1545)
@@ -0,0 +1,22 @@
+MODULE TEMPORAL_SPLITTING_INTERFACE
+   USE, INTRINSIC :: ISO_C_BINDING
+
+   INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
+
+      SUBROUTINE cxios_temporal_splitting_handle_create(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         INTEGER  (kind = C_INTPTR_T)               :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_temporal_splitting_handle_create
+
+      SUBROUTINE cxios_temporal_splitting_valid_id(ret, idt, idt_size) BIND(C)
+         USE ISO_C_BINDING
+         LOGICAL  (kind = C_BOOL)                   :: ret
+         CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
+         INTEGER  (kind = C_INT)     , VALUE        :: idt_size
+      END SUBROUTINE cxios_temporal_splitting_valid_id
+
+   END INTERFACE
+
+END MODULE TEMPORAL_SPLITTING_INTERFACE
